function A1_dcm2nii(indType, indID)

% Convert DICOM to Nifty files to the respective directories in the preproc folders

% 180102 | written by JQK

indType = str2num(indType);
indID = str2num(indID);

if ismac
    pn.root         = '/Volumes/LNDG/Projects/StateSwitch/';
    pn.imageFolders = [pn.root, 'dynamic/raw/C_study/mri/images/'];
    pn.dcm2nii      = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/preproc/D_tools/dicm2nii'; addpath(genpath(pn.dcm2nii));
else
    pn.root         = '/home/mpib/LNDG/StateSwitch/WIP/preproc/';
end

%% IDs

% IDList = dir(pn.imageFolders);
% IDList = {IDList(:).name};
% ScanID = cellfun(@(x) x(21:24), IDList(4:end-1), 'un', 0);
% IDList = cellfun(@(x) x(6:9), IDList(4:end-1), 'un', 0);
% [IDList, c1, c2] = unique(IDList);
% IDList = IDList';
% ScanID = ScanID(c1)';

% N = 48 (180102);
IDList = {'1117';'1118';'1120';'1124';'1125';'1126';'1131';'1132';'1135';'1136';'1151';'1160';'1164';'1167';'1169';'1172';'1173';'1178';'1182';'1214';'1215';'1216';'1219';'1223';'1227';'1228';'1233';'1234';'1237';'1239';'1240';'1243';'1245';'1247';'1250';'1252';'1257';'1261';'1265';'1266';'1268';'1270';'1276';'1281';'2142';'2253';'2254';'2255'};

% fileTypes = {'RUN1'; 'RUN2'; 'RUN3'; 'RUN4'; 'REST'; 'T1'; 'T2'; 'DTI_6'; 'DTI_64'};
% fileFolders = {'task'; 'task'; 'task'; 'task'; 'rest'; 'anat'; 'anat'; 'dwi'; 'dwi'};
% fileNames = {'run-1_bold'; 'run-2_bold'; 'run-3_bold'; 'run-4_bold'; 'rest_bold'; 'T1w'; 'T2w'; 'dwi-6dirs'; 'dwi-64dirs'};

fileTypes = {'RUN1'; 'RUN2'; 'RUN3'; 'RUN4'};
fileFolders = {'task'; 'task'; 'task'; 'task'};
fileNames = {'run-1_bold'; 'run-2_bold'; 'run-3_bold'; 'run-4_bold'};

% Note: 
% For subject 1126, only the first half was acquired, T2, REST and DTI are missing.
% For subjects 1268 and 1270, T1 and task data are from repeated session
% due to scanner crash during the first MR session.
secondSessionTypes = {'REST'; 'T2'; 'DTI_6'; 'DTI_64'};

disp(['Converting Niftis: ',fileTypes{indType}, ' Subject ' IDList{indID}]);

% For subject 1126, only the first half was acquired, T2, REST and DTI are missing.
if ~(max(strcmp(fileTypes{indType}, secondSessionTypes))==1 & strcmp(IDList{indID}, '1126'))
    % designate paths
    fileName = ['sub-STSWD', IDList{indID}, '_' fileNames{indType}];
    pn.origin = [pn.root, 'B_data/A_dicom/', fileName, '.zip'];
    pn.target = [pn.root, 'B_data/B_nii/', fileName];
    % convert to Nifty
    dicm2nii_json(pn.origin, pn.target, '.nii.gz', 1);
end

end % A1_dcm2nii